JUCE: LuaTokeniser Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
LuaTokeniser Class Reference
juce_gui_extra » code_editor

`#include <juce_LuaCodeTokeniser.h>`

Inheritance diagram for LuaTokeniser:

## Public Types
enum | TokenType { tokenType_error = 0 , tokenType_comment , tokenType_keyword , tokenType_operator , tokenType_identifier , tokenType_integer , tokenType_float , tokenType_string , tokenType_bracket , tokenType_punctuation }
| The token values returned by this tokeniser. More...

## Public Member Functions
| LuaTokeniser ()
| ~LuaTokeniser () override
int | readNextToken (CodeDocument::Iterator &) override
| Reads the next token from the source and returns its token type.
CodeEditorComponent::ColourScheme | getDefaultColourScheme () override
| Returns a suggested syntax highlighting colour scheme.
Public Member Functions inherited from CodeTokeniser
| CodeTokeniser ()=default
virtual | ~CodeTokeniser ()=default

## Member Enumeration Documentation

## ◆ TokenType

enum LuaTokeniser::TokenType

The token values returned by this tokeniser.

Enumerator
tokenType_error |
tokenType_comment |
tokenType_keyword |
tokenType_operator |
tokenType_identifier |
tokenType_integer |
tokenType_float |
tokenType_string |
tokenType_bracket |
tokenType_punctuation |

## Constructor & Destructor Documentation

## ◆ LuaTokeniser()

LuaTokeniser::LuaTokeniser | ( |  | ) |

## ◆ ~LuaTokeniser()

LuaTokeniser::~LuaTokeniser | ( |  | ) |
| override

## Member Function Documentation

## ◆ readNextToken()

int LuaTokeniser::readNextToken | ( | CodeDocument::Iterator & | source | ) |
| overridevirtual

Reads the next token from the source and returns its token type.

This must leave the source pointing to the first character in the next token.

Implements CodeTokeniser.

## ◆ getDefaultColourScheme()

CodeEditorComponent::ColourScheme LuaTokeniser::getDefaultColourScheme | ( |  | ) |
| overridevirtual

Returns a suggested syntax highlighting colour scheme.

Implements CodeTokeniser.

The documentation for this class was generated from the following file:

- juce_LuaCodeTokeniser.h